Subject: 23.0.94; GPG interaction fails

From: Torsten Bronger <[email-masked]>
Date: Mon, 27 Jul 2009 21:45:15 +0200 (CEST)

In response to bug report #2412:

Daiki Ueno <[email-masked]> writes:

> Sven Joachim <[email-masked]> writes:
>
>>> -    (accept-process-output (epg-context-process context) 1)))
>>> +    (accept-process-output (epg-context-process context) 1))
>>> +  (sleep-for 0.1))
>>
>> That seems to do the trick.  At least, I had no problem in ~15 attempts
>> to preview/send signed messages, whereas without your patch the "Sign
>> failed" error would happen about every second time.
>
> Thanks for testing.  I've checked in the patch.

I experience the same problem but the above patch doesn't really
help me.  Without the sleeping time, I get failures with signature
checking of incoming emails almost always; with the sleeping time,
it works at least in 20% of the cases.  I increased the time to even
10 seconds but the success rate didn't increase further.  The
behaviour remains probabilistic.

All aspects of GPG interaction -- signature checking, signing and
encrypting -- are affected by this behaviour.

Tschö,
Torsten.

In GNU Emacs 23.0.94.1 (x86_64-unknown-linux-gnu)
 of 2009-06-07 on wilson
Windowing system distributor `The X.Org Foundation', version 11.0.10600000
configured using `configure  '--prefix=/usr/local/' '--mandir=/usr/local/share/man/' '--infodir=/usr/local/share/info/' '--with-x-toolkit=no' '--with-xpm' '--with-jpeg' '--with-tiff' '--with-gif' '--with-png' '--with-x''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  gnus-topic-mode: t
  gnus-undo-mode: t
  shell-dirtrack-mode: t
  global-auto-revert-mode: t
  savehist-mode: t
  display-time-mode: t
  desktop-save-mode: t
  mouse-wheel-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t